Bug 46724 - radeon_drm_winsys compile fail with libdrm in non standard directory
Summary: radeon_drm_winsys compile fail with libdrm in non standard directory
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-28 05:07 UTC by vand2
Modified: 2012-04-02 10:07 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vand2 2012-02-28 05:07:10 UTC
Compiling of mesa git fails with libdrm in a non standard directory.

libdrm (2.4.31):

./configure \
  --prefix=/opt/mesa \
  LDFLAGS=-L/opt/mesa/lib \
  PKG_CONFIG_PATH=/opt/mesa/lib/pkgconfig \
  --enable-nouveau-experimental-api

mesa (git a46548e0effa45d31b536c1af97b8dcacbe2db8e):

./configure \
  --prefix=/opt/mesa \
  --enable-texture-float \
  PKG_CONFIG_PATH=/opt/mesa/lib/pkgconfig \
  USE_EXTERNAL_DXTN_LIB=1
make -j8

....
gcc -c -I. -I../../../../../src/gallium/include -I../../../../../src/gallium/auxiliary -I../../../../../src/gallium/drivers -I../../../../../include -I/usr/include/libdrm   -g -O2 -Wall -std=c99 -Werror=implicit-function-declaration -Werror=missing-prototypes -fno-strict-aliasing -fno-builtin-memcmp -g -O2  -fPIC  -DUSE_X86_64_ASM -D_GNU_SOURCE -DPTHREADS -DTEXTURE_FLOAT_ENABLED -DHAVE_POSIX_MEMALIGN -DUSE_XCB -DGLX_INDIRECT_RENDERING -DGLX_DIRECT_RENDERING -DUSE_EXTERNAL_DXTN_LIB=1 -DIN_DRI_DRIVER -DHAVE_ALIAS -DHAVE_MINCORE -D__STDC_CONSTANT_MACROS -DHAVE_LLVM=0x0209 -fvisibility=hidden -I/usr/lib/llvm-2.9/include   -D_GNU_SOURCE -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS radeon_drm_winsys.c -o radeon_drm_winsys.o
In file included from radeon_drm_winsys.h:33:0,
                 from radeon_drm_bo.h:35,
                 from radeon_drm_cs.h:30,
                 from radeon_drm_bo.c:28:
radeon_winsys.h:46:35: fatal error: libdrm/radeon_surface.h: No such file or directory
compilation terminated.
In file included from radeon_drm_winsys.h:33:0,
                 from radeon_drm_bo.h:35,
                 from radeon_drm_cs.h:30,
                 from radeon_drm_cs.c:65:
radeon_winsys.h:46:35: fatal error: libdrm/radeon_surface.h: No such file or directory
compilation terminated.
In file included from radeon_drm_winsys.h:33:0,
                 from radeon_drm_bo.h:35,
                 from radeon_drm_winsys.c:34:
radeon_winsys.h:46:35: fatal error: libdrm/radeon_surface.h: No such file or directory
compilation terminated.
....
Comment 1 Jerome Glisse 2012-03-26 10:01:24 UTC
Should be working now, reopen if it's not the case
Comment 2 vand2 2012-03-27 02:54:19 UTC
There's no change in the issue (even with libdrm-2.4.32 now). 
With git aebd5492438d8ff31c2c12c0dfffa314768f4a42 
compilation still breaks at the same point. 
8.0.2 compiles fine btw..
Comment 3 vand2 2012-04-02 10:07:21 UTC
This seems fixed now. 
git version 42bc0b9b9dc31a15c08d409d14d25ccf19501255
compiles without any errors.

Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.